TechDraw LeaderLine/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 2: Line 2:
{{Docnav
{{Docnav
|[[TechDraw_Annotation|Insert Annotation]]
|[[TechDraw_Annotation|Insert Annotation]]
|[[TechDraw_RichTextAnnotation|Insert Rich Text Annotation]]
|[[TechDraw_RichTextBlock|RichTextBlock]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Module|TechDraw]]
|IconL=TechDraw_Annotation.svg
|IconL=TechDraw_Annotation.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw-textleader.svg
|IconR=TechDraw_RichTextAnnotation.svg
}}
}}


Line 14: Line 14:
|Workbenches=[[TechDraw Module|TechDraw]]
|Workbenches=[[TechDraw Module|TechDraw]]
|Version=0.19
|Version=0.19
|SeeAlso=[[TechDraw Templates|TechDraw Templates]], [[Draft SVG|Draft SVG]], [[TechDraw_RichTextBlock|RichTextBlock]]
|SeeAlso=[[TechDraw Templates|TechDraw Templates]], [[Draft SVG|Draft SVG]], [[TechDraw_RichTextAnnotation|Insert Rich Text Annotation]]
}}
}}


==Description==
==Description==


The LeaderLine tool adds a line to a View. Other annotation objects (such as [[TechDraw_RichTextBlock|RichTextBlock]]) can be connected to the Leaderline to form complex annotations.
The LeaderLine tool adds a line to a View. Other annotation objects (such as [[TechDraw_RichTextAnnotation|Rich Text Annotations]]) can be connected to the leaderline to form complex annotations.


[[Image:TechDraw_LeaderLine_sample.png]]
[[Image:TechDraw_LeaderLine_sample.png]]
Line 72: Line 72:
{{Docnav
{{Docnav
|[[TechDraw_Annotation|Insert Annotation]]
|[[TechDraw_Annotation|Insert Annotation]]
|[[TechDraw_RichTextAnnotation|Insert Rich Text Annotation]]
|[[TechDraw_RichTextBlock|RichTextBlock]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Module|TechDraw]]
|IconL=TechDraw_Annotation.svg
|IconL=TechDraw_Annotation.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw-textleader.svg
|IconR=TechDraw_RichTextAnnotation.svg
}}
}}



Revision as of 20:02, 2 February 2020

Other languages:

TechDraw LeaderLine

Menu location
TechDraw → Add Lines → Add Leaderline to View
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw Templates, Draft SVG, Insert Rich Text Annotation

Description

The LeaderLine tool adds a line to a View. Other annotation objects (such as Rich Text Annotations) can be connected to the leaderline to form complex annotations.

Leader line added to View001

How to use

  1. Press the Add Leaderline to View button
  2. A Task dialog will open. The dialog allows drawing of the leader line and assigning end symbols to the line.
  3. The Pick points button starts a line drawing function. Line drawing always starts at the point the line is to be attached to the View.
  4. Click to add a point, move the mouse to draw a line segment.
  5. To exit the line editor, press the Save changes button.
  6. To exit the line editor without saving, press the Discard changes button.
  7. After the line is created, it can be edited by double clicking the Leaderline in the Tree.

Properties

  • ДанныеX,Y: The point at which the leader line is connected to the View.
  • ДанныеLeader Parent: The View to which the leader is attached.
  • ДанныеStart Symbol: The line end symbol (arrowhead) at the View end.
  • ДанныеEnd Symbol: The line end symbol at the other end.
  • ДанныеWayPoints: Nodes on the leader line.
  • ДанныеScalable: Leader scales with Leader Parent.
  • ВидColor: Pen colour for the leader line.
  • ВидLine Style: 0 - No Line, 1 - Solid Line, ...
  • ВидLine Width: Weight of leader line.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The LeaderLine tool can be used in macros and from the Python console by using the following functions:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawLeaderLine','DrawLeaderLine')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)  
#rest of waypoints are positions relative to (0,0,0)
leaderObj.WayPoints = [p0,p1,p2]
leaderObj.X = 5
leaderObj.Y = 5


Notes

  • You can edit your Leaderline by double clicking on it in the tree view. Double clicking in the graphics area is not yet supported.
  • The leader line can be edited by pressing "Edit points" while in edit mode. To exit point editing: press "Save changes" or "Discard changes".